Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class DebugContent

    java.lang.Object
      rice.p2p.glacier.v2.DebugContent

All Implemented Interfaces:
  GCPastContent, PastContent, java.io.Serializable

public class DebugContent
extends java.lang.Object
implements PastContent, GCPastContent

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected boolean` | `isMutable` DESCRIBE THE FIELD
`protected Id` | `myId` DESCRIBE THE FIELD
`protected byte[]` | `payload` DESCRIBE THE FIELD
`protected long` | `version` DESCRIBE THE FIELD

Constructor Summary
`DebugContent(Id id, boolean isMutable, long version, byte[] payload)` Constructor for DebugContent.

Method Summary
`PastContent` | `checkInsert(Id id, PastContent existingContent)` DESCRIBE THE METHOD
`GCPastContentHandle` | `getHandle(GCPast local, long expiration)` Gets the Handle attribute of the DebugContent object
`PastContentHandle` | `getHandle(Past local)` Gets the Handle attribute of the DebugContent object
`Id` | `getId()` Gets the Id attribute of the DebugContent object
`GCPastMetadata` | `getMetadata(long expiration)` Gets the Metadata attribute of the DebugContent object
`byte[]` | `getPayload()` Gets the Payload attribute of the DebugContent object
`long` | `getVersion()` Gets the Version attribute of the DebugContent object
`boolean` | `isMutable()` Gets the Mutable attribute of the DebugContent object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myId

    protected Id myId

  DESCRIBE THE FIELD

### isMutable

    protected boolean isMutable

  DESCRIBE THE FIELD

### version

    protected long version

  DESCRIBE THE FIELD

### payload

    protected transient byte[] payload

  DESCRIBE THE FIELD

Constructor Detail

### DebugContent

    public DebugContent(Id id,
                        boolean isMutable,
                        long version,
                        byte[] payload)

  Constructor for DebugContent.

Parameters:
  `id` - DESCRIBE THE PARAMETER
  `isMutable` - DESCRIBE THE PARAMETER
  `version` - DESCRIBE THE PARAMETER
  `payload` - DESCRIBE THE PARAMETER

Method Detail

### getVersion

    public long getVersion()

  Gets the Version attribute of the DebugContent object

  Specified by:
    `getVersion` in interface `GCPastContent`
  Returns:
    The Version value

### getHandle

    public PastContentHandle getHandle(Past local)

  Gets the Handle attribute of the DebugContent object

  Specified by:
    `getHandle` in interface `PastContent`
  Parameters:
    `local` - DESCRIBE THE PARAMETER
  Returns:
    The Handle value

### getHandle

    public GCPastContentHandle getHandle(GCPast local,
                                         long expiration)

  Gets the Handle attribute of the DebugContent object

  Specified by:
    `getHandle` in interface `GCPastContent`
  Parameters:
    `local` - DESCRIBE THE PARAMETER
    `expiration` - DESCRIBE THE PARAMETER
  Returns:
    The Handle value

### getId

    public Id getId()

  Gets the Id attribute of the DebugContent object

  Specified by:
    `getId` in interface `PastContent`
  Returns:
    The Id value

### isMutable

    public boolean isMutable()

  Gets the Mutable attribute of the DebugContent object

  Specified by:
    `isMutable` in interface `PastContent`
  Returns:
    The Mutable value

### getPayload

    public byte[] getPayload()

  Gets the Payload attribute of the DebugContent object

  Returns:
    The Payload value

### getMetadata

    public GCPastMetadata getMetadata(long expiration)

  Gets the Metadata attribute of the DebugContent object

  Specified by:
    `getMetadata` in interface `GCPastContent`
  Parameters:
    `expiration` - DESCRIBE THE PARAMETER
  Returns:
    The Metadata value

### checkInsert

    public PastContent checkInsert(Id id,
                                   PastContent existingContent)
                            throws PastException

  DESCRIBE THE METHOD

  Specified by:
    `checkInsert` in interface `PastContent`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `existingContent` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `PastException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.